#
# spec file for package python-Babel-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Babel-doc
Version:        2.5.1
Release:        lp150.1.3
Summary:        Internationalization utilities
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://babel.edgewall.org/
Source:         https://pypi.io/packages/source/B/Babel/Babel-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  python3-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A collection of tools for internationalizing Python applications.

This package contains the documentation for Babel

%prep
%setup -q -n Babel-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# Only building documentation

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE build/sphinx/html

%changelog
* Thu Oct  5 2017 arun@gmx.de
- update to version 2.5.1:
  * Use a fixed datetime to avoid test failures (#520)
    (@narendravardi)
  * Parse multi-line __future__ imports better (#519) (@akx)
  * Fix validate_currency docstring (#522)
  * Allow normalize_locale and exists to handle various unexpected
    inputs (#523) (@suhojm)
  * Make PyInstaller support more robust (#525, #526)
    (@thijstriemstra, @akx)
* Wed Aug 23 2017 tbechtold@suse.com
- update to 2.5.0:
  * Numbers: Add currency utilities and helpers (#491) (@kdeldycke)
  * Support PyInstaller (#500, #505) (@wodo)
  * Dates: Add __str__ to DateTimePattern (#515) (@sfermigier)
  * Dates: Fix an invalid string to bytes comparison when parsing TZ files on Py3 (#498) (@rowillia)
  * Dates: Formatting zero-padded components of dates is faster (#517) (@akx)
  * Documentation: Fix "Good Commits" link in CONTRIBUTING.md (#511) (@naryanacharya6)
  * Documentation: Fix link to Python gettext module (#512) (@Linkid)
  * Messages: Allow both dash and underscore separated locale identifiers in pofiles (#489, #490) (@akx)
  * Messages: Extract Python messages in nested gettext calls (#488) (@sublee)
  * Messages: Fix in-place editing of dir list while iterating (#476, #492) (@MarcDufresne)
  * Messages: Stabilize sort order (#482) (@xavfernandez)
  * Time zones: Honor the no-inherit marker for metazone names (#405) (@akx)
* Fri Mar 31 2017 aloisio@gmx.com
- Updated to 2.4.0
- Converted to single-spec
* Tue Jun 30 2015 aj@ajaissle.de
- Split documentation into separate package to avoid build loop
